﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace XSD
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        DataSet1 ds = new DataSet1();         
        private void button1_Click(object sender, EventArgs e)
        {
           
            DataRow[] drArr = ds.Users.Select("UserName ='" + FinderName.Text + "'");

            MessageBox.Show("FOUND : " + drArr.Length.ToString());

            DialogResult d = MessageBox.Show("Do You Want To Show The Result?", "Show result in message box", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (d == DialogResult.Yes)
            {
                dataGridView1.DataSource = ds.Users;

                foreach (DataRow dr in drArr)
                {
                    MessageBox.Show(dr["UserName"].ToString() + " - " + dr["PhoneNumber"].ToString());
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {

            ds.Users.AddUsersRow(text_USER.Text, text_Pass.Text);
            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            saveFileDialog1.FileName = "";
            saveFileDialog1.Filter = "XML Format|*.xml";
            saveFileDialog1.ShowDialog();

            if (saveFileDialog1.FileName != "")
            {
                ds.WriteXml(saveFileDialog1.FileName);
            }

        }

        private void button4_Click(object sender, EventArgs e)
        {

            openFileDialog1.FileName = "";
            openFileDialog1.Filter = "XML Files|*.xml|XDS Files|*.xsd";
            openFileDialog1.ShowDialog();

            if (openFileDialog1.FileName != "")
            {
                ds.ReadXml(openFileDialog1.FileName);
            }

        }

        private void button5_Click(object sender, EventArgs e)
        {
            saveFileDialog1.FileName = "";
            saveFileDialog1.Filter = "XDS Format|*.xsd";
            saveFileDialog1.ShowDialog();

            if (saveFileDialog1.FileName != "")
            {
                ds.WriteXmlSchema(saveFileDialog1.FileName);
            }

        }
    }
}